Package org.apache.storm.generated

## Class Nimbus.Processor.getLogConfig<I extends Nimbus.Iface>

- java.lang.Object
- - org.apache.storm.thrift.ProcessFunction<I,​Nimbus.getLogConfig_args>
  - - org.apache.storm.generated.Nimbus.Processor.getLogConfig<I>

- Enclosing class:
    Nimbus.Processor<I extends Nimbus.Iface>

      public static class Nimbus.Processor.getLogConfig<I extends Nimbus.Iface>
      extends org.apache.storm.thrift.ProcessFunction<I,​Nimbus.getLogConfig_args>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `getLogConfig()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Nimbus.getLogConfig_args` | `getEmptyArgsInstance()` |
    `Nimbus.getLogConfig_result` | `getResult​(I iface, Nimbus.getLogConfig_args args)` |
    `protected boolean` | `isOneway()` |
    `protected boolean` | `rethrowUnhandledExceptions()` |

    - ### Methods inherited from class org.apache.storm.thrift.ProcessFunction

      `getMethodName, process`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### getLogConfig

          public getLogConfig()

  - ### Method Detail

    - #### getEmptyArgsInstance

          public Nimbus.getLogConfig_args getEmptyArgsInstance()

      Specified by:
        `getEmptyArgsInstance` in class `org.apache.storm.thrift.ProcessFunction<I extends Nimbus.Iface,​Nimbus.getLogConfig_args>`

    - #### isOneway

          protected boolean isOneway()

      Specified by:
        `isOneway` in class `org.apache.storm.thrift.ProcessFunction<I extends Nimbus.Iface,​Nimbus.getLogConfig_args>`

    - #### rethrowUnhandledExceptions

          protected boolean rethrowUnhandledExceptions()

      Overrides:
        `rethrowUnhandledExceptions` in class `org.apache.storm.thrift.ProcessFunction<I extends Nimbus.Iface,​Nimbus.getLogConfig_args>`

    - #### getResult

          public Nimbus.getLogConfig_result getResult​(I iface,
                                                      Nimbus.getLogConfig_args args)
                                               throws org.apache.storm.thrift.TException

      Specified by:
        `getResult` in class `org.apache.storm.thrift.ProcessFunction<I extends Nimbus.Iface,​Nimbus.getLogConfig_args>`
      Throws:
        `org.apache.storm.thrift.TException`